summaryrefslogtreecommitdiff
path: root/source4/script/tests/selftest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/selftest.sh')
-rwxr-xr-xsource4/script/tests/selftest.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/source4/script/tests/selftest.sh b/source4/script/tests/selftest.sh
index e28aaf60df..b09399f032 100755
--- a/source4/script/tests/selftest.sh
+++ b/source4/script/tests/selftest.sh
@@ -3,7 +3,7 @@
if [ $# -lt 1 ]
then
- echo "$0 PREFIX"
+ echo "$0 PREFIX TESTS"
exit
fi
@@ -54,6 +54,16 @@ fi
incdir=`dirname $ARG0`
. $incdir/test_functions.sh
+#Start slapd before smbd
+if [ x"$TEST_LDAP" = x"yes" ]; then
+ slapd_start
+ echo -n "LDAP PROVISIONING..."
+ if ! $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI; then
+ echo "LDAP PROVISIONING failed: $srcdir/bin/smbscript $srcdir/setup/provision $PROVISION_OPTIONS --ldap-backend=$LDAPI"
+ exit 1;
+ fi
+fi
+
SMBD_TEST_FIFO="$PREFIX/smbd_test.fifo"
export SMBD_TEST_FIFO
SMBD_TEST_LOG="$PREFIX/smbd_test.log"
@@ -100,6 +110,10 @@ failed=$?
kill `cat $PIDDIR/smbd.pid`
+if [ "$TEST_LDAP"x = "yesx" ]; then
+ kill `cat $PIDDIR/slapd.pid`
+fi
+
END=`date`
echo "START: $START ($ARG0)";
echo "END: $END ($ARG0)";